package mirrg.swing.neon.v1_1;

import java.awt.Dialog;
import java.awt.Frame;
import java.awt.GraphicsConfiguration;
import java.awt.Window;

import javax.swing.JDialog;

public class DialogNeon extends JDialog
{

	public final Neon neon;

	public DialogNeon()
	{
		super();
		neon = new Neon(this);
	}

	public DialogNeon(Dialog owner, boolean modal)
	{
		super(owner, modal);
		neon = new Neon(this);
	}

	public DialogNeon(Dialog owner, String title, boolean modal, GraphicsConfiguration gc)
	{
		super(owner, title, modal, gc);
		neon = new Neon(this);
	}

	public DialogNeon(Dialog owner, String title, boolean modal)
	{
		super(owner, title, modal);
		neon = new Neon(this);
	}

	public DialogNeon(Dialog owner, String title)
	{
		super(owner, title);
		neon = new Neon(this);
	}

	public DialogNeon(Dialog owner)
	{
		super(owner);
		neon = new Neon(this);
	}

	public DialogNeon(Frame owner, boolean modal)
	{
		super(owner, modal);
		neon = new Neon(this);
	}

	public DialogNeon(Frame owner, String title, boolean modal, GraphicsConfiguration gc)
	{
		super(owner, title, modal, gc);
		neon = new Neon(this);
	}

	public DialogNeon(Frame owner, String title, boolean modal)
	{
		super(owner, title, modal);
		neon = new Neon(this);
	}

	public DialogNeon(Frame owner, String title)
	{
		super(owner, title);
		neon = new Neon(this);
	}

	public DialogNeon(Frame owner)
	{
		super(owner);
		neon = new Neon(this);
	}

	public DialogNeon(Window owner, ModalityType modalityType)
	{
		super(owner, modalityType);
		neon = new Neon(this);
	}

	public DialogNeon(Window owner, String title, ModalityType modalityType, GraphicsConfiguration gc)
	{
		super(owner, title, modalityType, gc);
		neon = new Neon(this);
	}

	public DialogNeon(Window owner, String title, ModalityType modalityType)
	{
		super(owner, title, modalityType);
		neon = new Neon(this);
	}

	public DialogNeon(Window owner, String title)
	{
		super(owner, title);
		neon = new Neon(this);
	}

	public DialogNeon(Window owner)
	{
		super(owner);
		neon = new Neon(this);
	}

}
